@weierophinney weierophinney released this Jan 4, 2018 · 2 commits to master since this release

Assets 2

Added

  • #35 and #39 add support for PHP 7.1 and PHP 7.2.

Deprecated

  • Nothing.

Removed

  • #35 removes support for PHP 5.5.

  • #35 removes support for HHVM.

Fixed

  • #38 provides a fix to Json::prettyPrint() to ensure that empty arrays and objects are printed without newlines.

  • #38 provides a fix to Json::prettyPrint() to remove additional newlines preceding a closing bracket.

@weierophinney weierophinney released this Apr 1, 2016 · 64 commits to master since this release

Assets 2

Added

Deprecated

  • Nothing.

Removed

  • #20 removes the Zend\Json\Server subcomponent, which has been extracted to zend-json-server. If you use that functionality, install the new component.
  • #21 removes the Zend\Json\Json::fromXml() functionality, which has been extracted to zend-xml2json. If you used this functionality, you will need to install the new package, and rewrite calls to Zend\Json\Json::fromXml() to Zend\Xml2Json\Xml2Json::fromXml().
  • #20 and #21 removes dependencies on zendframework/zendxml, zendframework/zend-stdlib, zendframework/zend-server, and zendframework-zend-http, due to the above listed component extractions.

Fixed

  • Nothing.

@weierophinney weierophinney released this Feb 4, 2016 · 86 commits to master since this release

Assets 2

Added

  • Nothing.

Deprecated

  • Nothing.

Removed

  • Nothing.

Fixed

  • #18 updates dependencies to allow usage on PHP 7, as well as with zend-stdlib v3.
Nov 23, 2015
zend-json 2.4.9

@weierophinney weierophinney released this Nov 18, 2015 · 94 commits to master since this release

Assets 2

Added

  • Nothing.

Deprecated

  • Nothing.

Removed

  • #5 removes zendframework/zend-stdlib as a required dependency, marking it instead optional, as it is only used for the Server subcomponent.

    Users of Zend\Json\Server will need to add zendframework/zend-stdlib to their applications in order to use that subcomponent going forward. If you are using that subcomponent, and have determined that zend-stdlib is not installed, you can do so by executing composer require zendframework/zend-stdlib from the command-line.

Fixed

  • Nothing.
Sep 15, 2015
zend-json 2.4.8